Arch Linux dejara de dar soporte a los “Catalyst”

ArchLogoAndreas Radke, que hasta hoy mismo era la persona que mantenía el driver privado de AMD/ATI en Arch Linux ha decidido dejar el trabajo en manos de la comunidad, es decir, pasara de “extra” a “aur” directamente debido al deficiente estado del driver para linux.

“Los controladores Catalyst de ATI se encuentran en un estado lamentable y AMD no esta haciendo nada para mejorar la situación, que parece que se toman a linux como una broma. Al menos esta es la impresion que uno obtiene cuando se fija en el desarrollo de los drivers privados de Nvidia.”

La situación es aun peor en los sistemas basados en x86_64 donde es necesario tirar de enlaces simbólicos a librerías 686 debido a que la licencia con la que se publican estos drivers no permite la edición de su código y su posterior compilación.

En lineas generales Andreas se queja sobre todo de la poca información que recibe desde la lista de correo oficial de AMD/ATI para seguir manteniendo el paquete y hace referencia al desarrollo RadeonHD que tan solo con unos pocos documentos liberados por AMD han sido capaces de dar un soporte medianamente decente para las series R600/700. Esta falta de información implica un trabajo extra que Andreas ya no esta dispuesto a hacer. De hecho, hacen un llamamiento a la comunidad por si hay alguien que quiera darle a AMD lo que no se merece… soporte 😦

Por otro lado, como se puede leer en la web oficial de Arch linux, xorg-server 1.6 esta ya disponible en Testing y las tarjetas de ATI no funcionaran con esta nueva versión (siempre hablando de los drivers catalyst) mientras que Nvidia ya los ha actualizado.

Nvidia has updated their latest drivers with support for this version of xorg-server. AMD does not support xorg-server-1.6 yet in their Catalyst drivers.

Asi que si estas usando Catalyst sobre Arch Linux estate atento a la próxima actualización de xorg, que te puede dar mas de un quebradero de cabeza. Se dice incluso que es probable que este driver no sea compatible con esta versión de las X hasta que distribuciones mas grandes, como Ubuntu, no metan el dedo en la yaga.

Anuncios

2 comentarios sobre “Arch Linux dejara de dar soporte a los “Catalyst”

Agrega el tuyo

  1. Despertando este comentario pues estaba buscando info sobre el asunto para los catalyst 9.11 y 9.12.
    Para arch los catalyst no son compatibles con xorg 1.7x y una de dos, o haces downgrade a xorg 1.6x o instalas los libres. Q dicen q estan evoluionando blabla, pero a mi en mi 3650 no van como debieran.

    La cuestión y que no entiendo y si alguien me lo explica mejor, los drivers catalyst propietarios dicen que si son compatibles con xorg 1.7x y ademas doy fe pues en mi ubuntu 9.10 funcionan perfectamente. Q alguien me explique porque en arch no tienen soporte para org y en las demas distribuciones si…

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión /  Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión /  Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión /  Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión /  Cambiar )

w

Conectando a %s

Crea un blog o un sitio web gratuitos con WordPress.com.

Subir ↑

A %d blogueros les gusta esto: